Known LE Aircraft Database

List and manage known law enforcement aircraft

GET /api/v1/cannonball/known-aircraft/

Returns the database of known law enforcement aircraft. This database is used for quick identification of LE aircraft.

Query Parameters

ParameterTypeDescription
searchstringSearch by ICAO hex, registration, or agency name
agency_typestringFilter by agency type
agency_statestringFilter by US state (2-letter abbreviation)
verifiedbooleanFilter by verification status
sourcestringFilter by data source

Response

{
  "aircraft": [
    {
      "id": 1,
      "icao_hex": "A12345",
      "registration": "N123HP",
      "aircraft_type": "EC130",
      "aircraft_model": "Eurocopter EC130 T2",
      "agency_name": "Los Angeles Police Department",
      "agency_type": "local",
      "agency_state": "CA",
      "agency_city": "Los Angeles",
      "source": "faa",
      "source_url": "https://registry.faa.gov/...",
      "verified": true,
      "verified_at": "2024-01-01T00:00:00Z",
      "times_detected": 150,
      "last_detected": "2024-01-15T12:30:00Z",
      "notes": "LAPD Air Support Division - primary patrol helicopter",
      "created_at": "2023-06-01T00:00:00Z",
      "updated_at": "2024-01-15T12:30:00Z"
    }
  ],
  "count": 1,
  "verified_count": 1
}

Aircraft Object Fields

FieldTypeDescription
idintegerDatabase ID
icao_hexstringAircraft ICAO hex code
registrationstringFAA registration number
aircraft_typestringAircraft type code
aircraft_modelstringFull aircraft model name
agency_namestringLaw enforcement agency name
agency_typestringAgency type classification
agency_statestringUS state (2-letter code)
agency_citystringCity of agency
sourcestringData source
source_urlstringURL to source documentation
verifiedbooleanWhether entry has been verified
verified_atstringVerification timestamp
times_detectedintegerNumber of times detected
last_detectedstringLast detection timestamp
notesstringAdditional notes
created_atstringEntry creation timestamp
updated_atstringLast update timestamp

Agency Types

TypeDescription
federalFederal agencies (FBI, DEA, CBP, etc.)
stateState police and highway patrol
localCity and county law enforcement
militaryMilitary aircraft
unknownUnclassified

Data Sources

SourceDescription
faaFAA Aircraft Registry
openskyOpenSky Network database
manualManual entry
communityCommunity submission
researchResearch/FOIA requests

Example Request

curl -X GET "https://api.skyspy.io/api/v1/cannonball/known-aircraft/?agency_state=CA&verified=true" \
  -H "Authorization: Bearer YOUR_TOKEN"

Response Codes

CodeDescription
200Success
401Unauthorized - Invalid or missing authentication

Additional Endpoints

Check ICAO

GET /api/v1/cannonball/known-aircraft/check/{icao_hex}/

Check if a specific ICAO hex is in the known LE database.

Response (Found):

{
  "found": true,
  "aircraft": { ... }
}

Response (Not Found):

{
  "found": false,
  "icao_hex": "A12345"
}

Database Statistics

GET /api/v1/cannonball/known-aircraft/stats/

Get statistics about the known aircraft database.

Response:

{
  "total": 1250,
  "verified": 980,
  "by_agency_type": {
    "federal": 150,
    "state": 320,
    "local": 680,
    "military": 50,
    "unknown": 50
  },
  "by_state": {
    "CA": 180,
    "TX": 150,
    "FL": 120,
    "NY": 100,
    "IL": 80
  }
}